---
title: outline-offset
slug: Web/CSS/outline-offset
tags:
  - CSS
  - CSS Outline
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>outline-offset</code></strong> CSS property sets the amount of space between an <a href="/docs/Web/CSS/outline">outline</a> and the edge or border of an element.</p>

<div>{{EmbedInteractiveExample("pages/css/outline-offset.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
outline-offset: 3px;
outline-offset: 0.2em;

/* Global values */
outline-offset: inherit;
outline-offset: initial;
outline-offset: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>{{cssxref("&lt;length&gt;")}}</code></dt>
 <dd>The width of the space between the element and its outline. A negative value places the outline inside the element. A value of <code>0</code> places the outline so that there is no space between it and the element.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>An outline is a line that is drawn around an element, outside the border edge. The space between an element and its outline is transparent. In other words, it is the same as the parent element's background.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_outline_offset_in_pixels">Setting outline offset in pixels</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Gallia est omnis divisa in partes tres.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  outline: 1px dashed red;
  outline-offset: 10px;
  background: yellow;
  border: 1px solid blue;
  margin: 15px;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_outline_offset_in_pixels')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Basic UI', '#outline-offset', 'outline-offset') }}</td>
   <td>{{ Spec2('CSS3 Basic UI') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.outline-offset")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("outline")}}</li>
 <li>{{cssxref("outline-color")}}</li>
 <li>{{cssxref("outline-style")}}</li>
 <li>{{cssxref("outline-width")}}</li>
</ul>
